Dominique Leuenberger 2021-05-02 16:35:19 +00:00 committed by Git OBS Bridge
commit 06a3d56d6e
4 changed files with 358 additions and 1082 deletions

View File

@ -0,0 +1,46 @@
Upstream patch to avoid FP in testsuite.
Remove with coreutils version > 8.32.
Discussed at:
https://lists.gnu.org/r/coreutils/2021-04/msg00050.html
Upstream patch:
https://git.sv.gnu.org/cgit/coreutils.git/commit/?id=b7091093bb
From b7091093bb6505c33279f9bc940b2e94763a6e5d Mon Sep 17 00:00:00 2001
From: Bernhard Voelker <mail@bernhard-voelker.de>
Date: Wed, 21 Apr 2021 00:12:00 +0200
Subject: [PATCH] tests: fix FP in ls/stat-free-color.sh
On newer systems like Fedora 34 and openSUSE Tumbleweed, ls(1) calls
newfstatat(STDOUT_FILENO, ...), but only when there is something to
output.
* tests/ls/stat-free-color.sh: Add -a option to the reference invocation
of ls, thus enforcing something gets output.
---
tests/ls/stat-free-color.sh | 10 ++++++----
1 file changed, 6 insertions(+), 4 deletions(-)
Index: tests/ls/stat-free-color.sh
===================================================================
--- tests/ls/stat-free-color.sh.orig
+++ tests/ls/stat-free-color.sh
@@ -56,12 +56,14 @@ eval $(dircolors -b color-without-stat)
# The system may perform additional stat-like calls before main.
# Furthermore, underlying library functions may also implicitly
# add an extra stat call, e.g. opendir since glibc-2.21-360-g46f894d.
-# To avoid counting those, first get a baseline count for running
-# ls with one empty directory argument. Then, compare that with the
-# invocation under test.
+# Finally, ls(1) makes a stat call for stdout, but only in the case
+# when there is something to output.
+# To get the comparison right, first get a baseline count for running
+# 'ls -a' with one empty directory argument. Then, compare that with
+# the invocation under test.
mkdir d || framework_failure_
-strace -q -o log1 -e $stats ls --color=always d || fail=1
+strace -q -o log1 -e $stats ls -a --color=always d || fail=1
n_stat1=$(grep -vF '+++' log1 | wc -l) || framework_failure_
test $n_stat1 = 0 \

View File

@ -1,3 +1,18 @@
-------------------------------------------------------------------
Thu Apr 29 16:21:49 UTC 2021 - Callum Farmer <gmbr3@opensuse.org>
- Use new packageand format
-------------------------------------------------------------------
Fri Apr 23 14:08:32 UTC 2021 - Bernhard Voelker <mail@bernhard-voelker.de>
- coreutils-tests-fix-FP-in-ls-stat-free-color.patch: Add upstream patch
to avoid FP in testsuite.
- coreutils.spec:
- Reference the above patch.
- Change keyring URL to new GNU coreutils Group Release Keyring.
- coreutils.keyring: Update with the Group Release Keyring.
-------------------------------------------------------------------
Fri Oct 16 07:26:20 UTC 2020 - Ludwig Nussel <lnussel@suse.de>

File diff suppressed because it is too large Load Diff

View File

@ -1,7 +1,7 @@
#
# spec file for package coreutils
# spec file for package coreutils%{?name_suffix}
#
# Copyright (c) 2020 SUSE LLC
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
@ -101,7 +101,7 @@ BuildRoot: %{_tmppath}/%{name}-%{version}-build
Source0: https://ftp.gnu.org/gnu/coreutils/coreutils-%{version}.tar.xz
Source1: https://ftp.gnu.org/gnu/coreutils/coreutils-%{version}.tar.xz.sig
Source2: https://savannah.gnu.org/project/memberlist-gpgkeys.php?group=coreutils&download=1&file=./coreutils.keyring
Source2: https://savannah.gnu.org/project/release-gpgkeys.php?group=coreutils&download=1&file=./coreutils.keyring
Source3: baselibs.conf
Patch1: coreutils-remove_hostname_documentation.patch
@ -143,6 +143,10 @@ Patch820: coreutils-gnulib-disable-test-float.patch
# Avoid FP error in gnulib tests 'test-perror2' and 'test-strerror_r'.
Patch840: gnulib-test-avoid-FP-perror-strerror.patch
# Upstream patch - remove with version >8.32:
# avoid FP error in 'tests/ls/stat-free-color.sh'.
Patch860: coreutils-tests-fix-FP-in-ls-stat-free-color.patch
# ================================================
%description
These are the GNU core utilities. This package is the union of
@ -162,8 +166,8 @@ the GNU fileutils, sh-utils, and textutils packages.
Summary: Documentation for the GNU Core Utilities
Group: Documentation/Man
Provides: coreutils:%{_infodir}/coreutils.info.gz
Supplements: packageand(coreutils:patterns-base-documentation)
Supplements: packageand(coreutils-single:patterns-base-documentation)
Supplements: (coreutils-single and patterns-base-documentation)
Supplements: (coreutils and patterns-base-documentation)
BuildArch: noarch
%description doc
@ -171,6 +175,7 @@ This package contains the documentation for the GNU Core Utilities.
# ================================================
%lang_package
%prep
%setup -q -n coreutils-%{version}
%patch4
@ -204,6 +209,7 @@ This package contains the documentation for the GNU Core Utilities.
%endif
%patch840
%patch860
# ================================================
%build